#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	pushd
Summary:	File::pushd - change directory temporarily for a limited scope
Summary(pl.UTF-8):	File::pushd - tymczasowa zmiana katalogu dla ograniczonego kontekstu
Name:		perl-File-pushd
Version:	1.016
Release:	1
License:	Apache v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1480e0d4813a8990c003e78338f00955
URL:		http://search.cpan.org/dist/File-pushd/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.30
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::pushd does a temporary chdir that is easily and automatically
reverted, similar to pushd in some Unix command shells.

%description -l pl.UTF-8
File::pushd dokonuje tymczasowej zmiany katalogu, którą można łatwo
cofnąć - podobnie, jak polecenie pushd w niektórych powłokach
uniksowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes Todo
%{perl_vendorlib}/File/pushd.pm
%{_mandir}/man3/File::pushd.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-pushd.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> c31cfac
- up to 1.016

* Sun Oct 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 79bea19
- pl, cosmetics

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 1f3f5af
- up to 1.002

* Sun Feb 17 2008 radek <radek@pld-linux.org> 2d31a0d
- new

